<?php

namespace EscapeWork\Manager\Providers;

use Illuminate\Support\ServiceProvider;
use Auth;

class UserServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->app['config']->set('auth.providers.manager', [
            'driver' => 'eloquent',
            'model'  => 'EscapeWork\Manager\Models\User',
        ]);

        $this->app['config']->set('auth.guards.manager', [
            'driver'   => 'session',
            'provider' => 'manager',
        ]);
    }
}
